This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 803741

Summary: Ensure stability of the Plugin API across releases with animal-sniffer plug-in
Product: [Other] RHQ Project Reporter: Mike Foley <mfoley>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: medium    
Version: 3.0.1CC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mike Foley 2012-03-15 10:34:15 EDT
Description of problem:  Ensure stability of the Plugin API across releases with animal-sniffer plug-in

We want the Plug-in API to remain stable across releases.  Some types of changes may be OK (adding methods, overloading methods, adding objects, and otehr changes which are backwards compatible).  


http://mojo.codehaus.org/animal-sniffer-maven-plugin/
Comment 1 Mike Foley 2012-03-19 12:19:04 EDT
per BZ triage (asantos, ccrouch, loleary, mfoley)